> ## Documentation Index
> Fetch the complete documentation index at: https://padsplit-docs.fairsentry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Compliance

> Check the potential fair housing compliance of a property listing, or a section of a property listing.



## OpenAPI

````yaml openapi.json post /api/v1/secure/check-compliance
openapi: 3.1.0
info:
  title: FairSentry API
  description: >-
    API for FairSentry, an AI compliance platform for property managers to
    ensure compliance with fair housing laws.
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/secure/check-compliance:
    post:
      summary: Check Compliance
      description: Checkyo compliance of a host
      operationId: check_compliance_api_v1_secure_check_compliance_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ComplianceCheck'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComplianceResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ComplianceCheck:
      properties:
        input_text:
          type: string
          title: Input Text
          description: >-
            The text content of the listing, or section of the listing, to check
            for compliance.
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: The name of the city where the listing is located.
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: >-
            The state where the listing is located. Can be either the
            abbreviated (CA) or full name (California).
        listing_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Listing Id
          description: >-
            The unique identifier for the listing. If not provided, the result
            will not be stored or affect any metrics on the dashboard. This can
            be useful for testing purposes.
        host_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Host Id
          description: The unique identifier for the host of the listing.
        section_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Section Type
          description: >-
            The type of section from the listing that is being checked for
            compliance. It is recommended to use a predefined set of values
            (e.g. an enum) for this field to ensure consistency across your
            codebase. For example, 'title', 'description', 'rules', etc.
      type: object
      required:
        - input_text
      title: ComplianceCheck
    ComplianceResult:
      properties:
        compliant:
          type: boolean
          title: Compliant
          description: >-
            Whether the input text is potentiallycompliant with fair housing
            laws.
        violation_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Violation Summary
          description: >-
            A summary of the potential violations found in the input text, if
            any.
        violation_categories:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Violation Categories
          description: >-
            The categories of potential violations found in the input text, if
            any.
        compliant_suggestions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Compliant Suggestions
          description: >-
            Suggestions for potentially making the input text compliant, if
            applicable.
        severity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Severity
          description: >-
            The severity level of the potential violations found, if any. This
            is a number between 1 and 10.
      type: object
      required:
        - compliant
      title: ComplianceResult
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````